Update model

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/output-types/{instance_id}

Update a model instance with data provided in the request body. JSON format is expected. Model performs validation automatically when fields are modified. Unless the model says otherwise, you must be an administrator.

Path parameters

  • instance_id string(uuid) Required
application/json

Body Required

  • name string

Responses

  • 200 application/json

    Model updated successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or validation error

  • 403

    You are not an administrator

  • 404

    The row does not exist

PUT /data/output-types/{instance_id}
curl -X PUT "http://api.example.com/data/output-types/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Updated Model Name"
}'
import requests

url = "http://api.example.com/data/output-types/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "Updated Model Name"
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "name": "Updated Model Name"
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Updated Model Name",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T11:00:00Z"
}